// Copyright (c) 2020 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_FILE_PROGRESS_WINDOW_H_
#define _EUTERPE_FILE_PROGRESS_WINDOW_H_

#include "euterpe/definitions.h"

class RSE_FileTasksProgressWnd
{
public:
  RSE_FileTasksProgressWnd();
  ~RSE_FileTasksProgressWnd();

  HWND Handle() const;

  static WDL_DLGRET ST_FileTasksProgressWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET FileTasksProgressWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;

  int m_per;
};

#endif // _EUTERPE_FILE_PROGRESS_WINDOW_H_
